:root {
  --site-color-yellow: #f7bd30;
  --site-color-magenta: #c378b0;
  --site-color-green: #94c122;
  --site-color-blue: #4d6a94;
}

@font-face {
    font-family: 'Livvic';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url('/resources/documents/_fonts/Livvic-Medium.woff') format('woff'),url('/resources/documents/_fonts/Livvic-Medium.ttf') format('truetype')
}

@font-face {
    font-family: 'Livvic';
    font-style: italic;
    font-weight: 400;
    font-display: swap;
    src: url('/resources/documents/_fonts/Livvic-Itelic.woff') format('woff'),url('/resources/documents/_fonts/Livvic-Italic.ttf') format('truetype')
}

@font-face {
    font-family: 'Livvic';
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url('/resources/documents/_fonts/Livvic-Bold.woff') format('woff'),url('/resources/documents/_fonts/Livvic-Bold.ttf') format('truetype')
}

@font-face {
    font-family: 'Livvic';
    font-style: italic;
    font-weight: 700;
    font-display: swap;
    src: url('/resources/documents/_fonts/Livvic-BoldItalic.woff') format('woff'),url('/resources/documents/_fonts/Livvic-BoldItalic.ttf') format('truetype')
}

body, html {
  min-width: 320px;
  min-height: 100%;
}

body {
  font-family: 'Livvic';
  font-size: 17px;
  color: var(--mdc-theme-on-surface);
  background: var(--mdc-theme-background);
  display: flex;
  flex-direction: column;
  width: 100%;
}

#inner-header, #inner-main, #inner-footer, #inner-default-banner {
  max-width: 1540px;
  width: 100%;
  box-sizing: border-box;
  margin: 0 auto;
  padding-left: 50px;
  padding-right: 50px;
}

#inner-footer h2, #home-container h2, #default-banner h1, #banner-text h1 {
  position: relative;
  padding-bottom: 7px;
  margin-bottom: 20px;
}

#inner-footer h2::after, #home-container h2::after, #default-banner h1::after, #banner-text h1::after {
  content: '';
  background-image: url(/resources/images/_site/icon-wave.png);
  position: absolute;
  width: 25px;
  height: 10px;
  left: 0;
  top: 100%;
  background-size: cover;
}

body a {
  color: var(--mdc-theme-primary);
}

body a:hover, body a:focus {
  color: var(--site-color-blue);
  text-decoration: none;
}

#site-main p a {
  color: var(--site-color-green);
}

#site-main p a:hover, #site-main p a:focus {
  opacity: 0.7;
}

.skip-button {
  position: absolute !important;
  transform: translateY(-60px);
  z-index: 10;
}

.skip-button:focus {
  transform: translateY(0);
}

/* ------------------- Header ------------------- */

#inner-header {
  height: 210px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative;
}

#navigation-container .open-nav {
  display: none;
}

#login {
  font-size: 1.5em;
}

#search form {
  position: relative;
  width: 215px;
}

#search form::after {
  content: '';
  background-image: url(/resources/images/_site/icon-search.png);
  height: 20px;
  width: 20px;
  position: absolute;
  right: 15px;
  top: 50%;
  transform: translateY(-50%);
}

#search form input.search {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border: none;
  background-color: var(--mdc-theme-secondary);
  padding: 10px 40px 10px 10px;
  border-radius: 50px;
  width: 100%;
  box-sizing: border-box;
  background-position: right 35px top;
}



/* ------------------- Main ------------------- */
#inner-main {
  padding-top: 120px;
  padding-bottom: 120px;
}

#banner {
  height: 390px;
  width: 100%;
  display: flex;
}

#banner-text {
  background-color: var(--mdc-theme-secondary);
  width: 50%;
  height: 100%;
}

#banner-image {
  width: 50%;
  height: 100%;
  background-image: url(/resources/images/_site/foto-header.jpg);
  background-position: top center;
  background-size: cover;
}

#banner-text-inner {
  max-width: 770px;
  width: 100%;
  margin-left: auto;
  padding-left: 50px;
  box-sizing: border-box;
  padding-right: 25%;
  position: relative;
  top: 50%;
  transform: translateY(-50%);
}

#banner-text-inner p {
  line-height: 1.4em;
}

#default-banner {
  height: 260px;
  width: 100%;
  background-image: url("/resources/images/_site/header-schoul.png");
  background-size: cover;
  background-position: right;
}

#inner-default-banner {
  position: relative;
  height: 100%;
}

#default-banner h1 {
  padding-top: 125px;
  font-size: 50px;
  word-break: break-word;
  position: absolute;
  bottom: 20px;
  width: calc(100% - 100px);
}

.news-date {
  order: 1;
}

.news-title {
  order: 2;
}

#news-cycle {
  position: relative;
}

.news-element {
  height: 425px;
  box-shadow: var(--shadow-4dp);
  display: flex;
  flex-direction: column;
  position: relative;
  margin-left: 5px;
  margin-top: 5px;
}

#news-cycle .news-element {
  max-width: calc(100% - 45px);
}

.news-element::after {
  content: '';
  position: absolute;
  right: 20px;
  top: 20px;
  background-image: url(/resources/images/_site/icon-more.png);
  height: 32px;
  width: 32px;
}

.news-element:hover {
  background-color: var(--mdc-theme-on-surface);
  color: var(--mdc-theme-surface);
}

.news-element:hover::after {
  background-image: url(/resources/images/_site/icon-more-white.png);
}

.news-content {
  padding: 70px 20px 20px 20px;
  flex: 1 1 0;
  display: grid;
}

.news-content h2, .news-content h3 {
  margin-top: 15px;
  font-size: 22px;
  line-height: 1.3em;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -moz-box-orient: vertical;
  -ms-box-orient: vertical;
  box-orient: vertical;
  -webkit-line-clamp: 3;
  -moz-line-clamp: 3;
  -ms-line-clamp: 3;
  line-clamp: 3;
  overflow: hidden;
}

.news-image {
  height: 200px;
  background-size: cover;
  background-position: center;
}

#news-cycle {
  height: 520px;
  padding: 40px 5px 20px 5px;
}

#news-cycle .olefabase_website_view_ul {
  margin-right: -40px;
  padding: 40px 5px 20px 5px;
  height: 520px;
}

#news-cycle .oc-interactivity-cyclepics__image-list {
  overflow: hidden !important;
}

#news-cycle .oc-interactivity-cyclepics__image-list {
  height: 440px;
  overflow: visible;
  margin-right: -40px;
}

#news-cycle .oc-interactivity-cyclepics__navigation {
  left: 0;
  bottom: 0;
  top: initial;
  right: initial;
}

#news-cycle .oc-interactivity-cyclepics__navigation-item, #news-cycle .oc-interactivity-cyclepics__navigation-item {
  background-color: var(--mdc-theme-primary);
  opacity: 0.6;
  border-radius: 0;
  height: 6px;
  width: 63px;
  margin: 0 20px 0 0;
}

#news-cycle .oc-interactivity-cyclepics__navigation-item[aria-selected="true"], #news-cycle .oc-interactivity-cyclepics__navigation-item[aria-selected="true"] {
  opacity: 1;
  transform: initial;
}

.news-link {
  position: absolute;
  height: 100%;
  width: 100%;
  left: 0;
  top: 0;
  z-index: 1;
}

#news-archiv-link {
  position: absolute;
  right: 0;
  bottom: 0;
}

#news_baselist .olefabase_website_view_ul, #activity_baselist .olefabase_website_view_ul {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    list-style: none;
    gap: 40px;
    margin: 0;
    padding: 0;
}

#news_baselist .olefabasenavbottom, #activity_baselist .olefabasenavbottom {
  text-align: center;
}

.arrow-link {
  color: var(--mdc-theme-on-surface);
  display: flex;
  align-items: center;
  font-weight: bold;
}

.navigation-boxes .autonav {
  display: flex;
  gap: 40px;
  flex-flow: row wrap;
  margin: 0;
  padding: 0;
  list-style: none;
}

.navigation-boxes .autonav li a {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 320px;
  height: 200px;
  box-shadow: var(--shadow-4dp);
  font-size: 1.5em;
  text-align: center;
}

.navigation-boxes .autonav li a:hover, .navigation-boxes .autonav li a:focus {
  background-color: var(--mdc-theme-on-surface);
  color: var(--mdc-theme-surface);
  text-decoration: none;
}

.create-button {
  padding: 5px;
  background-color: var(--mdc-theme-on-surface);
  color: var(--mdc-theme-surface) !important;
  border-radius: 50%;
  display: inline-flex;
  margin-left: 20px;
}

.create-button:hover, .create-button:focus {
  text-decoration: none;
}

.create-button-line {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
  margin-bottom: 25px;
}

.two-cols {
  display: flex;
  gap: 40px;
}

.two-cols > * {
  width: 50%;
  flex: 1 1 0;
}

#inner-main.two-columns {
    display: flex;
    gap: 40px;
}

#inner-main.two-columns #main-column {
  flex: 1 1 0;
}

#inner-main.two-columns #side-column {
  width: 335px;
}

#inner-main.two-columns #side-column a {
  color: var(--site-color-green);
}

#inner-main.two-columns #side-column a:hover {
  text-decoration: underline;
}

#inner-main.two-columns #side-column h2 {
  font-size: 0.9em;
  text-transform: uppercase;
}

.side-column-element {
  border-left: 6px solid var(--site-color-green);
  padding-left: 20px;
  margin-bottom: 40px;
}

ul.box-list {
  padding: 0;
  margin: 0;
  list-style: none;
  display: flex;
  flex-flow: row wrap;
  gap: 40px;
  justify-content: center;
}

.box-element {
  display: flex;
  flex-direction: column;
  box-shadow: var(--shadow-4dp);
  position: relative;
  width: 320px;
  background-color: var(--mdc-theme-surface);
}

.box-element-image {
  height: 200px;
  width: 100%;
  box-sizing: border-box;
  background-size: cover;
  background-image: url("/resources/images/_site/Logo-Schoul-Stadtbredimus.png");
  background-repeat: no-repeat;
  background-position: center;
}

.box-element-image.contain-image {
  background-size: contain;
  border: 15px solid var(--mdc-theme-surface);
}

.box-element-title {
  text-align: center;
  padding: 10px;
}

.box-element a {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
}

.box-element:hover .box-element-title {
  background-color: var(--mdc-theme-on-surface);
  color: var(--mdc-theme-surface);
}

#aktiviteiten_baselist .olefabase_website_view_ul {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 40px;
}

#aktiviteiten_baselist .olefabasenavbottom {
  text-align: center;
}

#biblio_stadbr_baselist .olefabase_website_view_ul, #biblio_greiweldeng_baselist .olefabase_website_view_ul {
  display: flex;
  flex-direction: column;
  gap: 30px;
  padding: 0;
}

#biblio_stadbr_baselist .olefabasenavk, #biblio_greiweldeng_baselist .olefabasenavk {
  text-align: center;
}

.book-element {
  display: flex;
  gap: 10px;
  background-color: var(--mdc-theme-secondary);
  padding: 20px;
}

.book-element th {
  text-align: left;
}

.book-element .book-cover {
  width: 150px;
  flex-shrink: 0;
}

.book-element .book-cover img {
  width: 100%;
  object-fit: contain;
  max-height: 200px;
}

#biblio_basesearch .book-search-element input,
#biblio_basesearch .book-search-element select {
  height:38px;
  line-height:1.3;
  font-size:16px;
  padding:6px 10px;
  box-sizing:border-box;
  max-width:350px
}

.exmplars-table td, .exmplars-table th {
  border: 1px var(--mdc-theme-on-secondary) solid;
  padding: 2px 8px;
}

.exmplars-table table {
  border-collapse: collapse;
}


/* ------------------- Footer ------------------- */

#inner-footer, #inner-footer-left {
  display: flex;
  gap: 40px;
}

#inner-footer > *, #inner-footer-left > * {
  width: 50%;
  align-items: flex-start;
}

#agenda-container {
  border-top: 6px solid var(--site-color-yellow);
  border-bottom: 6px solid var(--site-color-yellow);
  padding: 40px 0;
}

#login-container {
  border-top: 6px solid var(--site-color-magenta);
  border-bottom: 6px solid var(--site-color-magenta);
  padding: 40px 0;
}

#login-container .olefa-login {
  margin-top: 20px;
}

#login-container .olefa-logout {
  margin-top: 40px;
}

#login-container .olefa-login-button-wrapper {
  flex-direction: column-reverse;
}

#login-container .olefa-login-form-submit, #login-container .olefa-login-form-password-forgot, #login-container .oc-md-button-standard {
  border-radius: 0;
  font-weight: bold;
}

#login-container .mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__icon--leading {
  color: var(--mdc-theme-primary);
}

#login-container .mdc-text-field {
  border-radius: 0;
  margin-bottom: 5px;
}

.agenda-element {
  padding: 20px 0;
  border-bottom: 1px solid;
}

.agenda-element a:hover, .agenda-element a:focus {
  color: var(--site-color-yellow);
  text-decoration: none;
}

#home-agenda_baselist .agenda-element:first-child {
  border-top: 1px solid;
}

.agenda-date-range {
  font-weight: bold;
}

.agenda-title {
  margin-top: 10px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -moz-box-orient: vertical;
  -ms-box-orient: vertical;
  box-orient: vertical;
  -webkit-line-clamp: 1;
  -moz-line-clamp: 1;
  -ms-line-clamp: 1;
  line-clamp: 1;
  overflow: hidden;
}

#home-agenda_baselist {
  padding: 20px 0 40px 0;
}

#agenda-container .arrow-link {
  float: right;
}

#inner-footer-right {
  background-color: var(--mdc-theme-secondary);
  padding: 45px 45px 120px 45px;
  box-sizing: border-box;
}

#inner-footer-right .building-element:nth-of-type(1) {
  margin-top: 40px;
}

#inner-footer-right a {
  font-weight: bold;
}

.building-element {
  display: flex;
  gap: 40px;
  margin-bottom: 20px;
}

.building-image {
  height: 125px;
  width: 125px;
  background-size: cover;
  background-position: center;
  border-radius: 50%;
  border: 1px solid;
}

#inner-footer-right .arrow-link {
  float: right;
  margin-top: 25px;
}

#inner-footer-right hr {
  margin: 60px 0 40px 0;
  border: 1px solid;
}

/* ------------------- Media ------------------- */

@media only screen and (min-width: 1271px) {
  #navigation {
    display: flex;
    justify-content: space-between;
    gap: 30px;
    align-items: center;
  }

  #navigation #respmenu {
    display: none;
  }

  #navigation .autonav {
    display: flex;
    list-style: none;
    gap: 30px;
    position: relative;
    margin: 0 0 -17px 0;
    padding: 0;
  }

  #navigation .autonav > li > a, #navigation .autonav > li > button {
    text-transform: uppercase;
    color: var(--mdc-theme-on-surface);
    padding-bottom: 17px;
    position: relative;
    text-decoration: none;
  }

  #fullmenu > li > a:hover::after, #fullmenu > li > a.selected::after, #fullmenu > li > a:focus::after, #fullmenu > li > button[aria-expanded="true"]::after, #fullmenu > li > button.selected::after, #fullmenu > li > button:focus::after {
    content: '';
    width: 100%;
    height: 4px;
    background-color: var(--mdc-theme-on-surface);
    position: absolute;
    left: 0;
    bottom: 0;
  }

  #navigation .autonav li button:not([aria-expanded="true"]) ~ul {
    display: none;
  }

  #navigation .autonav li ul li a {
    color: var(--mdc-theme-on-surface);
    display: block;
  }

  #navigation .autonav>li>button {
    background: none!important;
    border: none!important;
    font-family: inherit!important;
    cursor: pointer!important;
    font-size: inherit!important;
    margin: 0;
  }

  #navigation .autonav li ul li a:hover {
    text-decoration: underline;
  }

  #navigation .autonav ul {
    position: absolute;
    z-index: 2;
    margin: 0;
    padding: 60px 40px;
    background-color: var(--mdc-theme-surface);
    list-style: none;
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 10px;
    box-shadow: var(--shadow-4dp);
    width: 100%;
    left: -40px;
    top: 100%
  }
}

@media only screen and (max-width: 1270px) {
  #navigation:not([data-expanded="true"]) {
    display: none;
  }

  #navigation-container .open-nav {
    display: block;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 3;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 40px;
  }

  #navigation-container .open-nav:not([aria-expanded="true"]) {
    background-image: url(/resources/images/_site/icon-menu.png);
    background-size: 55%;
    border: 2px solid var(--mdc-theme-primary);
    height: 75px;
    width: 75px;
    border-radius: 50%;
  }

  #navigation-container .open-nav[aria-expanded="true"] {
    background-image: url(/resources/images/_site/icon-menu-x.png);
    height: 40px;
    width: 40px;
    position: absolute;
    right: 40px;
    top: 40px;
  }

  #navigation[data-expanded="true"] {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    background-color: var(--mdc-theme-primary);
    padding: 40px;
    box-sizing: border-box;
    z-index: 2;
    display: flex;
    flex-direction: column;
    gap: 40px;
  }

  #navigation .oc-interactivity-auto-nav-floating {
    position: relative;
  }

  #navigation #fullmenu {
    display: none;
  }

  #navigation .autonav {
    display: flex;
    flex-direction: column;
    margin-top: 60px;
    min-height: 200px;
  }

  #navigation .autonav li {
    padding-top: 5px;
    padding-bottom: 5px;
  }

  #navigation .autonav > li > a[aria-haspopup="true"]::after {
    content: "";
    display: inline-block;
    border-bottom: 2px solid;
    border-right: 2px solid;
    height: 0.5em;
    width: 0.5em;
    transform: translateX(-5px) rotate(-45deg);
  }

  #navigation .autonav > li[data-auto-nav-force-show] > a[aria-haspopup="true"]::after {
    transform: translateX(5px) rotate(135deg);
  }

  #navigation .autonav > li > a[aria-haspopup="true"] {
    display: flex!important;
    align-items: center;
    justify-content: space-between;
  }

  #navigation .autonav > li[data-auto-nav-force-show] > a[aria-haspopup="true"] {
    flex-direction: row-reverse;
    justify-content: flex-end;
    gap: 5px;
  }

  #navigation .autonav a {
    color: var(--mdc-theme-on-primary);
  }

  #login {
    color: var(--mdc-theme-on-primary);
    position: absolute;
    left: 40px;
    top: 40px;
  }

  #search form {
    width: 100%;
  }

  #aktiviteiten_baselist .olefabase_website_view_ul {
    grid-template-columns: 1fr 1fr 1fr;
  }
}

@media only screen and (max-width: 1100px) {
  #inner-footer {
    flex-direction: column;
    gap: 100px;
  }

  #inner-footer > * {
    width: 100%;
  }

  #news_baselist .olefabase_website_view_ul {
    grid-template-columns: 1fr 1fr 1fr;
  }
}

@media only screen and (max-width: 900px) {
  #aktiviteiten_baselist .olefabase_website_view_ul {
    grid-template-columns: 1fr 1fr;
  }
}

@media only screen and (max-width: 900px) {
  #banner-text-inner {
    padding-right: 40px;
  }

  #inner-main.two-columns {
    flex-direction: column;
  }

  #inner-main.two-columns #side-column {
    width: 100%;
  }
}

@media only screen and (max-width: 850px) {
  #news_baselist .olefabase_website_view_ul {
    grid-template-columns: 1fr 1fr;
  }
}

@media only screen and (max-width: 800px) {
  #news-archiv-link {
    bottom: 40px;
  }

  .two-cols {
    flex-direction: column;
  }

  .two-cols > * {
    width: 100%;
  }
}

@media only screen and (max-width: 600px) {
  #news-cycle .oc-interactivity-cyclepics__navigation-item, #news-cycle .oc-interactivity-cyclepics__navigation-item {
    width: 30px;
  }

  #aktiviteiten_baselist .olefabase_website_view_ul {
    grid-template-columns: 100%;
  }
}

@media only screen and (max-width: 550px) {
  #inner-header {
    gap: 20px;
  }

  #banner {
    flex-direction: column-reverse;
    height: auto;
  }

  #banner-image {
    width: 100%;
    height: 230px;
  }

  #banner-text {
    width: 100%;
  }

  #banner-text-inner {
    padding: 40px;
    transform: initial;
    top: initial;
  }

  #inner-footer-left {
    flex-direction: column;
    gap: 70px;
  }

  #inner-footer-left > * {
    width: 100%;
  }

  #inner-footer {
    gap: 80px;
  }

  #inner-footer-right {
    width: calc(100% + 80px);
    margin-left: -40px;
  }

  #inner-header, #inner-main, #inner-footer, #inner-default-banner {
    padding-left: 40px;
    padding-right: 40px;
  }

  #news_baselist .olefabase_website_view_ul {
    grid-template-columns: 100%;
  }

  #default-banner h1 {
    font-size: 7vw;
  }

  .book-element {
    flex-direction:column
  }

  .book-element .book-cover {
    align-self:center
  }
}

@media only screen and (max-width: 400px) {
  #default-banner h1 {
    font-size: 9vw;
  }
}

body[data-contrast="more"] #inner-main a {
    color: var(--mdc-theme-primary);
    text-decoration: underline;
}

